Metacat - Bug #3509

Fix XML Schema filesystem namespace conflicts and backups
10/08/2008 08:45 AM - Michael Daigle

Status: New Start date: 10/08/2008
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: 2.x.y Spent time: 0.00 hour
Bugzilla-ld: 3509

Description

Currently, two schema files with the same name but different namespaces will try to get written to the /schema directory. This will

cause conflicts. The file should be written to /schema/<namespace> directory.

Also, schema files should be backed up to an external directory from the application. In this way, custom schemas will not get lost

when metacat is upgraded.

History

#1 - 03/27/2013 02:23 PM - Redmine Admin

Original Bugzilla ID was 3509

#2 - 04/09/2013 04:07 PM - ben leinfelder

- Assignee changed from Michael Daigle to ben leinfelder

- Target version changed from Unspecified to 2.1.0

This can certainly cause issues when remote XSDs happen to have the same filenames (as many versioned schema do)

#3 - 07/09/2013 02:23 PM - ben leinfelder

- Target version changed from 2.1.0 to 2.x.y

04/19/2024

1/1



http://www.tcpdf.org

